---
search:
  tags:
    - Store Groups
    - GET
seo:
  description: >-
    Retrieves all store groups for the specified app, including… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/store-groups endpoint in the
    Management API.
sidebar:
  label: List all store groups
  badge: GET
title: List all store groups
type: openapi-operation
---
Retrieves all store groups for the specified app, including their associated markets with pricing and tax configuration details.

`GET /api/v1/{team_slug}/{app_slug}/store-groups`

**Responses**

- `200` — Store groups retrieved successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "country_of_sale": "string",
      "created_at": "string",
      "description": "string",
      "id": "string",
      "markets": [
        {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "is_tax_exemption_eligible": true,
          "is_tax_included_in_price": true,
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        }
      ],
      "name": "string",
      "slug": "string",
      "store_type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
